##### ssl::context::use_certificate_chain (2 of 2 overloads)

Use a certificate chain from a memory buffer.

    void use_certificate_chain(
        const const_buffer & chain,
        asio::error_code & ec);

This function is used to load a certificate chain into the context from a buffer.

###### Parameters

chain

  The buffer containing the certificate chain. The certificate chain must use the PEM format.

ec

  Set to indicate what error occurred, if any.

###### Remarks

Calls `SSL_CTX_use_certificate` and SSL_CTX_add_extra_chain_cert.